Constants.Mode (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Enum Constants.Mode

- java.lang.Object
- - java.lang.Enum<Constants.Mode>
  - - org.gcube.portlets.user.gisviewer.client.Constants.Mode

- All Implemented Interfaces:
    Serializable, Comparable<Constants.Mode>
  Enclosing class:
    Constants

      public static enum Constants.Mode
      extends Enum<Constants.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NORMAL`
    `TEST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Constants.Mode NORMAL

    - #### TEST

          public static final Constants.Mode TEST

  - ### Method Detail

    - #### values

          public static Constants.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.Mode c : Constants.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.